Cards, prop trading & accounting
Prop Trading Get Payout Import Rows
Pages through an import's rows with optional status filter, decrypting trader emails and resolving payout currency.
GEThttps://api.toku.com/hris/prop-trading-get-payout-import-rows
Required scope: payments:read. It also needs compensation:read.
curl --request GET \
--url 'https://api.toku.com/hris/prop-trading-get-payout-import-rows?payoutImportID=%3CpayoutImportID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"payoutImportID": "string",
"fileName": "string",
"importStatus": "DRAFT",
"totalRows": 0,
"validRows": 0,
"errorRows": 0,
"parsedAt": "string",
"committedAt": "string",
"rows": [
{
"payoutImportRowID": "string",
"rawRowIndex": 0,
"traderEmail": "string",
"traderName": "string",
"amount": "string",
"currencyCode": "string",
"externalReference": "string",
"status": "PENDING",
"errorCodes": [
"string"
],
"errorMessages": [
"string"
],
"matchedRoleInOrgID": "string",
"invoicePaymentID": "string",
"payoutCurrency": "string"
}
],
"filteredCount": 0,
"page": 0,
"pageSize": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
payoutImportIDstring<uuid>requiredstatusstringAvailable options: PENDING, VALID, INVALID, SKIPPED, COMMITTED
pageintegerAllowed: at least 1
Default: 1
pageSizeintegerAllowed: 1 to 5000
Default: 50
Response
200Successful response
payoutImportIDstringrequiredfileNamestringrequiredimportStatusstringrequiredAvailable options: DRAFT, PARSING, PARSED, COMMITTING, COMMITTED, FAILED, CANCELLED
totalRowsintegerrequiredvalidRowsintegerrequirederrorRowsintegerrequiredparsedAtstring | nullrequiredcommittedAtstring | nullrequiredrowsobject[]requiredShow child attributes
payoutImportRowIDstringrequiredrawRowIndexintegerrequiredtraderEmailstringrequiredtraderNamestring | nullrequiredamountstringrequiredAllowed: matches ^-?\d+(\.\d+)?(e[+-]?\d+)?$
currencyCodestringrequiredexternalReferencestringrequiredstatusstringrequiredAvailable options: PENDING, VALID, INVALID, SKIPPED, COMMITTED
errorCodesstring[]requirederrorMessagesstring[]requiredmatchedRoleInOrgIDstring | nullrequiredinvoicePaymentIDstring | nullrequiredpayoutCurrencystring | nullrequiredfilteredCountintegerrequiredpageintegerrequiredpageSizeintegerrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits